WordPress 3.4升级出错

作者: 衔思 分类: 齐分享 发布时间: 2012-06-15 18:50

  博主承认自己是个升级控,每次有新版本都会升级,但是这次升级发生错误了,这个错误导致WordPress后台不能登录,提示后台时提示:

Fatal error: Call to undefined method wpdb_2::delete() in /zmt.me/wp-includes/option.php on line 370

  分析一下,这次犯懒了,没有关闭插件,立即经行备份恢复,然后再次关闭所有插件经行更新,果不然,更新过程相当顺利,所以,坑定是插件惹的祸。

  果断再次把之前关闭的插件再次打开,竟然后台又出现了之前的错误提示,看来,某插件和3.4不兼容。

  仔细读上面的提示:不难找到wpdb字样,恰好,插件目录下有个插件就是DB Cache Reloaded,数据库缓存插件,进过研究,发现就是这个玩意的问题,连接FTP,删除wp-content目录的下的db.php,删除wp-content/plugins目录下的db-cache-reloaded文件夹,然后登录后台,发现提示插件被删除,但是后台正常。

  综上所述,每次升级的时候,最好做好备份,并且关闭插件,否则会有不可预料的后果,升级失败没关系,如果没有备份,那就麻烦大了。

如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!

发表评论

电子邮件地址不会被公开。 必填项已用*标注

在你提交表单前:
Human test by Not Captcha
更多阅读
标签云